summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorRoeland Jago Douma <roeland@famdouma.nl>2018-09-28 21:00:23 +0200
committerRoeland Jago Douma <roeland@famdouma.nl>2018-09-28 21:00:23 +0200
commitf4a15f7f422c7d449a9cfb2ee8bc1ba76d52b41d (patch)
tree832b2c6a7182a279c9537bde0d2886d7c99ae08a /build
parentb7bd6bd68250612d975b63fcfbb0865224c93d7c (diff)
downloadnextcloud-server-f4a15f7f422c7d449a9cfb2ee8bc1ba76d52b41d.tar.gz
nextcloud-server-f4a15f7f422c7d449a9cfb2ee8bc1ba76d52b41d.zip
Add script to compile handlebars templates
For now it is small and there is no real standard yet. But it is better to start with something. Signed-off-by: Roeland Jago Douma <roeland@famdouma.nl>
Diffstat (limited to 'build')
-rw-r--r--build/compile-handlebars-templates.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/build/compile-handlebars-templates.sh b/build/compile-handlebars-templates.sh
new file mode 100644
index 00000000000..1775f45b0fe
--- /dev/null
+++ b/build/compile-handlebars-templates.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+REPODIR=`git rev-parse --show-toplevel`
+
+cd $REPODIR
+
+# Settings
+handlebars -n OC.Settings.Templates settings/js/authtoken.handlebars -f settings/js/templates.js
+
+# Contactsmenu
+handlebars -n OC.ContactsMenu.Templates core/js/contactsmenu -f core/js/contactsmenu_templates.js
+
+# Files app
+handlebars -n OCA.Files.FileSummary.Templates apps/files/js/filesummary.handlebars -f apps/files/js/filesummary_template.js
+
+if [[ $(git diff --name-only) ]]; then
+ echo "Please submit your compiled handlebars templates"
+ exit 1
+fi
+
+exit 0